Subject: Re: Thinkpad P17 keep hanging in ipv6_addrconf addrconf_verify_work / netlink in 6.4 and 6.6

From: Marc MERLIN <[email-masked]>
Date: Mon, 4 Dec 2023 08:52:39 -0800

On Mon, Dec 04, 2023 at 11:57:44AM +0100, Johannes Berg wrote:
> this is trying to acquire the RTNL, by looking at the code
> 
> > > [  363.945566]  __rpm_callback+0x7a/0xe7
> > > [  363.945578]  rpm_callback+0x35/0x64
> > > [  363.945587]  ? __pfx_pci_pm_runtime_resume+0x40/0x40
> > > [  363.945592]  rpm_resume+0x342/0x44a
> > > [  363.945600]  ? __kmem_cache_alloc_node+0x123/0x154
> > > [  363.945614]  __pm_runtime_resume+0x5a/0x7a
> > > [  363.945624]  dev_ethtool+0x15a/0x24e7
> 
> but this already holds it
> 
> So looks like bug in the 'igc' driver wrt. runtime PM locking.

Thank you for the analysis Johannes, I appreciate it. I'm at a spot
where I have to return this laptop very soon if I can't get it working
(or will get stuck with it, it's a temp one until I get my original P73
fixed, and from the little I've seen the 3 year newer P17 with I 11th
gen (10nm) instead of I 9th gen (14nm), there isn't a huge difference
between the 2, especially as my I9 had 8 cores and the I11 only 6 cores.
So I may go back to the P73 as soon as I can get it fixed).

In the meantime, anything I can try to get around that bug and confirm
that assumption? I assume that driver isn't something I can turn off
since everything depends on it, correct?

Thanks,
Marc
-- 
"A mouse is a device used to point at the xterm you want to type in" - A.S.R.
 
Home page: http://marc.merlins.org/                       | PGP 7F55D5F27AAF9D08